Uitgaande klikken
GET https://basicwebstats.com/api/outbound-clicks/
curl --request GET \
--url 'https://basicwebstats.com/api/outbound-clicks/?website_id=1' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://basicwebstats.com/api/outbound-clicks/?website_id=1' \
--header 'Authorization: Bearer {api_key}' \
| Parameters | Details | Beschrijving |
|---|---|---|
| website_id | Verplicht Geheel getal | |
| event_id | Optioneel Geheel getal | Beschikbaar als: tracking_type = advanced |
| session_id | Optioneel Geheel getal | Beschikbaar als: tracking_type = advanced |
| visitor_id | Optioneel Geheel getal | Beschikbaar als: tracking_type = advanced |
| search | Optioneel String | Het veld waarin je zoekt. Toegestane waarden: host, path, title. |
| datetime_field | Optioneel String | Toegestane waarden: datetime |
| datetime_start | Optioneel String | Filter results starting from this datetime. Y-m-d H:i:s format. |
| datetime_end | Optioneel String | Filter results up to this datetime. Y-m-d H:i:s format. |
| order_by | Optioneel String |
Het veld waarop je de resultaten sorteert. Toegestane waarden:
outbound_click_id, event_id, session_id, visitor_id, host, path, title, datetime.Beschikbaar als: event_id session_id visitor_id tracking_type = advanced
|
| order_type | Optioneel String | De sorteervolgorde. Gebruik ASC voor oplopend en DESC voor aflopend. |
| page | Optioneel Geheel getal | Het paginanummer waarvan je resultaten wilt. Standaardwaarde: 1. |
| results_per_page | Optioneel Geheel getal | Het aantal resultaten per pagina. Toegestane waarden: 10, 25, 50, 100, 250, 500, 1000. Standaardwaarde: 25. |
{
"data": [
{
"id": 1,
"event_id": 1,
"session_id": 1,
"visitor_id": 1,
"website_id": 1,
"host": "example.com",
"path": "/",
"title": "Example",
"datetime": "2026-09-11 15:13:58"
}
],
"meta": {
"page": 1,
"results_per_page": 25,
"total_results": 1,
"total_pages": 1
},
"links": {
"first": "https://basicwebstats.com/api/outbound-clicks?website_id=1&page=1",
"last": "https://basicwebstats.com/api/outbound-clicks?website_id=1&page=1",
"next": null,
"prev": null,
"self": "https://basicwebstats.com/api/outbound-clicks?website_id=1&page=1"
}
}
GET https://basicwebstats.com/api/outbound-clicks/{outbound_click_id}
curl --request GET \
--url 'https://basicwebstats.com/api/outbound-clicks/{outbound_click_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://basicwebstats.com/api/outbound-clicks/{outbound_click_id}' \
--header 'Authorization: Bearer {api_key}' \
{
"data": {
"id": 1,
"event_id": 1,
"session_id": 1,
"visitor_id": 1,
"website_id": 1,
"host": "example.com",
"path": "/",
"title": "Example",
"datetime": "2026-09-11 15:13:58"
}
}
DELETE https://basicwebstats.com/api/outbound-clicks/{outbound_click_id}
curl --request DELETE \
--url 'https://basicwebstats.com/api/outbound-clicks/{outbound_click_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://basicwebstats.com/api/outbound-clicks/{outbound_click_id}' \
--header 'Authorization: Bearer {api_key}' \